POST api/particlecounterapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ParticleCounterViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| anatype_id | globally unique identifier |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| description | string |
None. |
|
| id | globally unique identifier |
None. |
|
| ip_address | string |
Required |
|
| particle_counter_type_id | globally unique identifier |
Required |
|
| site_id | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"anatype_id": "81ac8c01-dd73-427c-ac6b-4a39826aee8f",
"cleanroom_id": "d86a33f1-4759-41d4-9485-e010f9b9c113",
"description": "sample string 3",
"id": "a6cf118e-2d76-4441-975f-7a715afe68a1",
"ip_address": "sample string 5",
"particle_counter_type_id": "e525c680-b5e7-4942-ba68-eb2aae5e2247",
"site_id": "9052c60b-5a79-4308-b1dc-88945c83338e"
}
application/xml, text/xml
Sample:
<particle_counter xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <anatype_id>81ac8c01-dd73-427c-ac6b-4a39826aee8f</anatype_id> <cleanroom_id>d86a33f1-4759-41d4-9485-e010f9b9c113</cleanroom_id> <description>sample string 3</description> <id>a6cf118e-2d76-4441-975f-7a715afe68a1</id> <ip_address>sample string 5</ip_address> <particle_counter_type_id>e525c680-b5e7-4942-ba68-eb2aae5e2247</particle_counter_type_id> <site_id>9052c60b-5a79-4308-b1dc-88945c83338e</site_id> </particle_counter>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"934746c9-6938-4222-afb5-22ffa0498a93"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">934746c9-6938-4222-afb5-22ffa0498a93</guid>